Bug 860754 - Procedure 9.4. Configuring Virtualization Host Firewall - Firewall rules all appear without line breaks.
Procedure 9.4. Configuring Virtualization Host Firewall - Firewall rules all ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gordon
ecs-bugs
: Documentation, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 12:11 EDT by Stephen Gordon
Modified: 2014-03-25 03:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: Red_Hat_Enterprise_Virtualization-Installation_Guide-3.1-web-en-US-3.1.0-13.el6eng
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 12:23:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2012-09-26 12:11:02 EDT
Description of problem:

Customer reports that firewall rules listed under step 2 of "Procedure 9.4. Configuring Virtualization Host Firewall - Firewall rules all appear without line breaks." do not copy paste correctly from PDF.

I have looked at each output format and verified that in all cases the iptables commands appear without the required line breaks. To rectify:

- Insert line breaks between each command.
- Remove the # characters, although it clarifies the need to be root it also prevents users copy pasting the commands to a shell or script in one go.

Same issue applies to Step 4.
Comment 1 Stephen Gordon 2012-09-26 12:18:56 EDT
Corrected in topic 10234, revision 292000. Anticipate publication to coincide with beta 3.
Comment 3 Stephen Gordon 2012-09-26 18:36:33 EDT
There is still an issue with this change, the last firewall rule of the main change wraps to the next line:

iptables --append FORWARD -m physdev ! --physdev-is-bridged -j REJECT --reject-with icmp-host-prohibited

Will need to edit this and supply a continuation character.

Note You need to log in before you can comment on or make changes to this bug.